import { EssThemeProvider } from '../src/providers/EssThemeProvider';

export const withThemeProvider = (Story, context) => {
  const { withThemeProvider } = context?.parameters;
  if(withThemeProvider !== false) {
    return (
      <EssThemeProvider>
        <Story />
      </EssThemeProvider>
    );
  }
  return <Story />;
};
