import { nanoid } from "nanoid";
import { useMemo } from "react";

export function useUniqueKeys(items) {
  return useMemo(() => {
    if (items) {
      return Array.from({ length: items.length }, () => nanoid());
    }
  }, [items]);
}
