import { createContext } from "react";

export const apiContext = createContext(null);

export const severityMap = {
  unknown: "warn",
  error: "error"
};

export const columns = [
  { field: "name", headerName: "Name" },
  { field: "description", headerName: "Description" },
  { field: "owner", headerName: "Owner" },
  {
    field: "ip_address",
    headerName: "IP Address",
    align: "right",
    headerAlign: "right"
  },
  { field: "status", headerName: "Status" }
];

// These urls are intercepted by MSW
export const apiOptions = {
  url: "/spec",
  server: "/"
};
